W(1)

NOME
w - Mostra quem está conectado e o que está fazendo.

SINOPSE
w [opções] usuário [...]

DESCRIÇÃO
w exibe informações sobre os usuários atualmente conectados à máquina e seus processos. O cabeçalho mostra, nesta ordem, o tempo atual, quanto tempo o sistema está ativo, quantos usuários estão conectados no momento e as médias de carga do sistema nos últimos 1, 5 e 15 minutos.

As seguintes entradas são exibidas para cada usuário: nome de login, nome do tty, host remoto, tempo de login, tempo ocioso, JCPU, PCPU e a linha de comando de seu processo atual.

O tempo de JCPU é o tempo usado por todos os processos anexados ao tty. Não inclui trabalhos em segundo plano anteriores, mas inclui trabalhos em segundo plano atualmente em execução.

O tempo de PCPU é o tempo usado pelo processo atual, dado no campo "o que".

OPÇÕES DE LINHA DE COMANDO

-h, --no-header
    Não exibe o cabeçalho.

-u, --no-current
    Ignores the username while figuring out the current process and cpu times. To demonstrate this, do a su and do a w and a w -u.

-s, --short
    Usa o formato curto. Não exibe o tempo de login e os tempos de JCPU ou PCPU.

-f, --from
    Ativa a exibição do campo de (nome do host remoto). O padrão por design é para o campo de não ser exibido, embora o administrador do sistema ou o mantenedor de distribuição possa ter compilado uma versão na qual o campo de é mostrado por padrão.

--help
    Exibe um texto de ajuda e sai.

-i, --ip-addr
    Exibe o endereço IP em vez do nome de host para o campo de.

-V, --version
    Exibe informação da versão.

-o, --old-style
    Saída no estilo antigo. Emite espaço em branco para tempos de ociosidade menores que um minuto.

usuário
    Mostra informações sobre somente o usuários especificado.

AMBIENTE

PROCPS_USERLEN
    Sobrescreve a largura padrão da coluna de nome de usuário. O padrão é 8.

PROCPS_FROMLEN
    Sobrescreve a largura padrão da coluna de "de". O padrão é 16.

ARQUIVOS

/var/run/utmp
    informações sobre quem está atualmente conectado

/proc
    informações de processos

VEJA TAMBÉM
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTORES
w foi reescrito quase que em sua totalidade por Charles Blake, baseado na versão por Larry Greenfield (greenfie@gauss.rutgers.edu) e Michael K. Johnson (johnsonm@redhat.com)

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org